using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Media;
using AIStudio.Wpf.DiagramDesigner;
using AIStudio.Wpf.Mind.ViewModels;

namespace AIStudio.Wpf.Mind.Helpers
{
    public interface IMindLayout
    {
        void Appearance(MindNode mindNode);
        void Appearance(MindNode mindNode, MindThemeModel mindThemeModel, bool initAppearance);
        ConnectionViewModel GetOrSetConnectionViewModel(MindNode source, MindNode sink, ConnectionViewModel connector = null);
        void LayoutUpdated(MindNode mindNode);
        
    }
}
